Gtk2::Calendar(3)

NAME
Gtk2::Calendar

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Calendar

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Calendar->new

  $calendar->clear_marks

  (year, month, day) = $calendar->get_date

  $calendar->display_options ($flags)

    * $flags (Gtk2::CalendarDisplayOptions)

    The old name for "set_display_options".

  calendardisplayoptions = $calendar->get_display_options

  $calendar->set_display_options ($flags)

    * $flags (Gtk2::CalendarDisplayOptions)

  $calendar->freeze

  boolean = $calendar->mark_day ($day)
    * $day (integer)

  $widget->marked_date ($value)

  value = $widget->marked_date

  $widget->month ($value)

  value = $widget->month

  $widget->num_marked_dates ($value)

  value = $widget->num_marked_dates

  $calendar->select_day ($day)

    * $day (integer)

  boolean = $calendar->select_month ($month, $year)
    * $month (integer)
    * $year (integer)

  $widget->selected_day ($value)

  value = $widget->selected_day

  $calendar->thaw

  boolean = $calendar->unmark_day ($day)

    * $day (integer)

  $widget->year ($value)

  value = $widget->year

PROPERTIES
'day' (integer : readable / writable / private)
    The selected day (as a number between 1 and 31, or 0 to unselect the currently selected day)

'month' (integer : readable / writable / private)
    The selected month (as a number between 0 and 11)

'no-month-change' (boolean : readable / writable / private)
    If TRUE, the selected month cannot be changed

'show-day-names' (boolean : readable / writable / private)
    If TRUE, day names are displayed

'show-heading' (boolean : readable / writable / private)
    If TRUE, a heading is displayed

'show-week-numbers' (boolean : readable / writable / private)
    If TRUE, week numbers are displayed

'year' (integer : readable / writable / private)
    The selected year

SIGNALS

month-changed (Gtk2::Calendar)
day-selected (Gtk2::Calendar)
day-selected-double-click (Gtk2::Calendar)
prev-month (Gtk2::Calendar)
next-month (Gtk2::Calendar)
prev-year (Gtk2::Calendar)
next-year (Gtk2::Calendar)

ENUMS AND FLAGS

  flags Gtk2::CalendarDisplayOptions

* 'show-heading' / 'GTK_CALENDAR_SHOW_HEADING'
* 'show-day-names' / 'GTK_CALENDAR_SHOW_DAY_NAMES'
* 'no-month-change' / 'GTK_CALENDAR_NO_MONTH_CHANGE'
* 'show-week-numbers' / 'GTK_CALENDAR_SHOW_WEEK_NUMBERS'
* 'week-start-monday' / 'GTK_CALENDAR_WEEK_START_MONDAY'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.